# Class CIM_DatabaseControlFile
extends CIM_HostedDependency

CIM_DatabaseControlFile is a specialization of the CIM_Dependency association that identifies the LogicalFiles that provide control information for a Database. As an example, some implementations of CommonDatabase assign particular significance to a small number of files that contain database state and configuration information. This association is intended to provide an efficient means of identifying these files.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_DatabaseControlFile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

CIM_DatabaseControlFile is a specialization of the CIM_Dependency association that identifies the LogicalFiles that provide control information for a Database. As an example, some implementations of CommonDatabase assign particular significance to a small number of files that contain database state and configuration information. This association is intended to provide an efficient means of identifying these files.

UMLPackagePath | string | CIM::Database::Storage
Version | string | 2.10

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_DatabaseControlFile | CIM_CommonDatabase
Dependent | CIM_DatabaseControlFile | CIM_LogicalFile

## Class Methods